View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001646aMuleExternal Connpublic2011-01-02 16:032011-01-12 13:19
Reporterbrazoayeye 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.6 
Target VersionFixed in Version2.3.1 
Summary0001646: Problem with script (Ed2k links handling)
Descriptionhere the script i followed:

http://wiki.amule.org/index.php/Ed2k_links_handling#64_bit [^]

I'm on Windows 7 64Bit, with amule + gui. Firefox 3.6.13
I have an ubuntu server with amuled running.

Here the report of the script (i used a random link)

C:\Program Files (x86)\Mozilla Firefox>set link="ed2k://%7Cfile%7C%5Bwii%5Dcoral [^]
ine%5Bpal%5D%5Bespalwii.com%5D.rar%7C3445803766%7C4FE44AA75139E5344902B60DD21C2A
A4%7Ch=76MERPMU5MP3RUBEBSJFEFOZOGWYKNBB%7C/"

C:\Program Files (x86)\Mozilla Firefox>for /F "useback tokens=*" %a in ('"ed2k:/
/%7Cfile%7C%5Bwii%5Dcoraline%5Bpal%5D%5Bespalwii.com%5D.rar%7C3445803766%7C4FE44
AA75139E5344902B60DD21C2AA4%7Ch=76MERPMU5MP3RUBEBSJFEFOZOGWYKNBB%7C/"') do set l
ink=%~a

C:\Program Files (x86)\Mozilla Firefox>set link=ed2k://%7Cfile%7C%5Bwii%5Dcorali [^]
ne%5Bpal%5D%5Bespalwii.com%5D.rar%7C3445803766%7C4FE44AA75139E5344902B60DD21C2AA
4%7Ch=76MERPMU5MP3RUBEBSJFEFOZOGWYKNBB%7C/

C:\Program Files (x86)\Mozilla Firefox>"c:\Program Files (x86)\aMule\amulecmd.ex
e" /c "add ed2k://%7Cfile%7C%5Bwii%5Dcoraline%5Bpal%5D%5Bespalwii.com%5D.rar%7C3 [^]
445803766%7C4FE44AA75139E5344902B60DD21C2AA4%7Ch=76MERPMU5MP3RUBEBSJFEFOZOGWYKNB
B%7C/"
This is amulecmd 2.2.6

Creating client...
Succeeded! Connection established to aMule 2.2.6
 > Request failed with the following error: Invalid link or already on list.

I think that the problem is that the link is on ascii, but i'm not sure that is for it.
Additional InformationI don't know if it can help, on sites where i found links if i Right click on a link and copy it isn't ascii.

If i click on it with SX the script fail.

if i copy AFTER having clicked it with SX the link copied is with ascii...

 
TagsNo tags attached.
Fixed in Revision10428
Operating SystemWindows 7 (server ubuntu)
Attached Files

- Relationships

-  Notes
(0003522)
sturedman (developer)
2011-01-09 12:25

I think this is fixed in SVN. And you can pass ED2K links to amulegui too in the SVN version.
(0003525)
brazoayeye (reporter)
2011-01-09 18:49

even if the link is ascii encoded?
(0003526)
sturedman (developer)
2011-01-09 19:03

You mean %7C instead of | ? No, not then at the moment.
(0003527)
brazoayeye (reporter)
2011-01-09 19:27

ok, in any case now i thinks that it's a firefox bug, so i opened a post on bogzilla...

Thanks!
(0003529)
GonoszTopi (administrator)
2011-01-12 13:19

Should be fixed in rev.10428.

- Issue History
Date Modified Username Field Change
2011-01-02 16:03 brazoayeye New Issue
2011-01-02 16:03 brazoayeye Operating System => Windows 7 (server ubuntu)
2011-01-09 12:25 sturedman Note Added: 0003522
2011-01-09 18:49 brazoayeye Note Added: 0003525
2011-01-09 19:03 sturedman Note Added: 0003526
2011-01-09 19:27 brazoayeye Note Added: 0003527
2011-01-12 13:19 GonoszTopi Fixed in Revision => 10428
2011-01-12 13:19 GonoszTopi Note Added: 0003529
2011-01-12 13:19 GonoszTopi Assigned To => sturedman
2011-01-12 13:19 GonoszTopi Status new => resolved
2011-01-12 13:19 GonoszTopi Resolution open => fixed
2011-01-12 13:19 GonoszTopi Fixed in Version => 2.3.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker